; Bootloader
%include "boot.asm"


section KERNEL follows=BOOTSECTOR vstart=1000h

%macro mod 2
    push ax
    push cx
    
    mov cx, %2
    xor dx, dx
    mov ax, %1
    div cx

    pop cx
    pop ax
%endmacro

main:
    call gfx_init_vga13

    mov di, 0
    mov si, gfxd_cursor
    mov ax, 11
    mov bl, 18
    call _gfx_blit0

jmp $ ; Halt
    
; Libs
%include "print_util.asm"
%include "time_util.asm"
%include "gfx_util.asm"
    
; Data
HELLO_WORLD:
    db 'Hello, world! :D', 0

%include "gfx/gfxd_cursor.asm"